## prog.utili
Enum RispostaReferendum

    java.lang.Object
      java.lang.Enum<RispostaReferendum>
          prog.utili.RispostaReferendum

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<RispostaReferendum>

    public enum RispostaReferendum

extends java.lang.Enum<RispostaReferendum>

Le costanti enumerative rappresentano le possibili espressioni di voto di una scheda referendaria.

Version:
  2.0
Author:
  Giovanni Pighizzini, Mauro Ferrari

Enum Constant Summary
`BIANCA`
`NO`
`NULLA`
`SI`

Method Summary
`static RispostaReferendum` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static RispostaReferendum[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SI

    public static final RispostaReferendum SI

### NO

    public static final RispostaReferendum NO

### NULLA

    public static final RispostaReferendum NULLA

### BIANCA

    public static final RispostaReferendum BIANCA

Method Detail

### values

    public static final RispostaReferendum[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(RispostaReferendum c : RispostaReferendum.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static RispostaReferendum valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name